.mi-main{
  overflow-x: auto !important;
  min-width: 1286px !important;
  width: 100% !important;
  background-color: #fff !important;
}
#header{
  -webkit-box-shadow: none;
  box-shadow: none;
  border-bottom: 1px solid rgba(0, 0, 0, 0.1);
}
.mi-body{
  padding: 0px;
  background-color: white;
  overflow: hidden;
}
.table .font-color-heading{
  color: #0f1c23 !important;
  font-weight: bold !important;
  padding: 7px 8px 7px 20px !important;
  line-height: 2.95;
  font-size: 14px;
}
.table .font-color-p{
  padding: 7px 8px 7px 20px !important;
  border-bottom: 1px ridge;
  cursor: pointer;
  max-width: 100px;
  color: #7c7c7c  !important;
  cursor: pointer;
  font-size: 14px;
}
a.active{
  background-color: white;
}
#act_frm_date {
  line-height: 20px;
  border: 1px solid #e3e3e3;
  height: 35px;
  text-align: center;
  position: relative;
  width: 115px;
  left: 480px;
}
.height-480{
  height: 480px;
}
.overFlow-y-auto{
  overflow: auto;
}
.overFlow-y-scroll{
  overflow: scroll;
}
.border-bottom{
  border-bottom: 1px solid rgba(0, 0, 0, 0.2);
}
.text-primary{
  color : #222a2d;
  font-weight: bold !important;
}
.gui-controls a.expanded .gui-icon,
.gui-controls li.active .gui-icon,
.gui-controls li.active .gui-icon:hover,
.gui-icon-active {
  color : #fcb026 !important;
  font-weight: bold !important;
  padding-left: 2px;
  opacity: 1 !important;
}
.gui-controls li.active>a .title{
  color: #313c41 !important;
  font-weight: bold;
  padding-left: 1px;
  opacity: 1 !important;
}
.gui-controls li >a .title, .gui-controls li >a .gui-icon{
  color: #0f1c23 !important;
  opacity:0.5 !important;
  font-weight: bold;
}
.gui-controls > li ul > li > a.active{
  background-color:  rgba(252, 176, 38, .2) !important;
}
.gui-controls>li{
  margin-bottom: 5.5px;
}
.gui-controls li .title{
  opacity: 1;
}
.menubar-pin #base{
  padding-left: 180px;
}
#menubar{
  width: 180px !important;
  -webkit-box-shadow: none !important;
  box-shadow: none !important;
  border-right: 1px ridge rgba(0, 0, 0, 0.1);
}
#menubar:before{
  -webkit-box-shadow: none !important;
  box-shadow: none !important;
  border-right: 1px ridge rgba(0, 0, 0, 0.1);
}
#menubar .menubar-scroll-panel{
  background-color: white;
}
#menubar .menubar-scroll-panel ul#main-menu li.active{
  background-color: rgba(252, 176, 38, .2) !important;
  border-left: 5px solid #fcb026;
}
#menubar .menubar-scroll-panel ul#main-menu li.active.expanded{
  background-color: #fff !important;
  border-left: none;
}
.pagination>.active>a,
.pagination>.active>a:focus,
.pagination>.active>a:hover,
.pagination>.active>span,
.pagination>.active>span:focus,
.pagination>.active>span:hover{
  background-color: rgba(252, 176, 38, .2) !important;
  border-color: rgba(252, 176, 38, .2) !important;
  color: #222a2d;
}

.pagination-page page-item active {
  background-color: #BDBDBD;
  border-color: #BDBDBD;
}
.pagination>li>a, .pagination>li>span{
  color: #222a2d;
}
.pagination>li>a:focus,
.pagination>li>a:hover,
.pagination>li>span:focus,
.pagination>li>span:hover{
  background-color: #fbfbfb;
}
.add-button, .add-button:hover,
.add-button:after, .add-button.active,
.add-button:active, .dropdown-toggle.add-button{
  background-color: white;
  width: 70%;
  border-color: #fcb026;
  color : #fcb026 !important;
}
.mi-btn {
  background-color: #313c41;
  font-size: small;
  height: 35px;
  color: #fcb026 !important;
  margin-right: 15px;
  padding: 5px 15px 5px 15px;
  font-weight: bold;
}
.mi-btn:active {
  color: #fcb026 !important;
}
.mi-btn:hover i{
  color: #fcb026 !important;
}
.mi-btn:hover {
  color: rgba(252, 176, 38, .5) !important;
}

.lead-create-from {
  padding: 6px;
  height: 500px
}

.form .form-text-body{
  width: 70%;
  display: inline-block;
  font-family: Roboto;
  color: #848b8a;
  margin-left: 15px;
  font-size: 14px;
}

.form .form-group .label-pos {
  position: relative;
  float: left;
  width: 20%;
  margin-right: 3px;
  font-size: 14px;
  color: #0f1c23 !important;
  opacity: 1;
  padding-top: 7px;
}

.mi-btn-light {
  background-color: white;
  font-size: small;
  height: 35px;
  color: #313c41;
  margin-right: 15px;
  padding: 5px 15px 5px 15px;
  border: 1px solid #313c41;
  font-weight: bold;
}
.mi-btn-light:active {
  color: white;
}
.mi-btn-light:hover i{
  color: lightgray;
}
.gui-controls>li ul>li.active:before, .gui-controls>li ul>li>a.active:before{
  left: 25px;
}

div#lead div.ng2-datetime-picker datetime-picker{
  left: 490px !important;
}

md-slider {
  width: 300px;
}

.cursor-pointer {
  cursor: pointer;
}

.drivingScoreContentClass div.progress {
  overflow: hidden;
  height: 10px !important;
  margin-bottom: 0px !important;
  background-color: #f5f5f5;
  border-radius: 5px !important;
  -webkit-box-shadow: inset 0 0px 0px rgba(0, 0, 0, 0.1);
  box-shadow: inset 0 0px 0px rgba(0, 0, 0, 0.1);
}

.knob-accent-cusrom {
  color: #F7C250 !important;
}

.drivingScoreContentClass #circleBar {
  color: #F7C250 !important;
}

.ui-state-default, .ui-widget-content .ui-state-default,
.ui-widget-header .ui-state-default{
  border: none !important;
  background: none !important;
}

.ui-state-hover, .ui-widget-content .ui-state-hover,
.ui-widget-header .ui-state-hover, .ui-state-focus,
.ui-widget-content .ui-state-focus, .ui-widget-header
.ui-state-focus{
  border: none !important;
  background: none !important;
}

.ui-widget-header{
  background: #b3d381 50% 50% repeat-x !important;

}

.default-cursor {
  cursor: default !important;
}

.section-sub-heading {
  color : #878a8c;
  text-transform: uppercase;
}

.ellipsis
{
  overflow: hidden;
  text-overflow: ellipsis;
  -o-text-overflow: ellipsis;
  -ms-text-overflow: ellipsis;
  white-space: nowrap;
}

.table tbody tr:hover {
  background-color: #fbfbfb;
}

.form .form-text-body-detail{
  width: 70%;
  display: inline-block;
  font-family: Roboto;
  color: #7c7c7c;
  margin-left: 15px;
  font-size: 14px;
  /*padding-bottom: 10px;*/
}

.form .form-drop-down{
  width: 70%;
  display: inline-block;
  font-family: Roboto;
  color: #7c7c7c;
  margin-left: 15px;
  font-size: 14px;
  padding-bottom: 10px;
}

.drop-down{
  width: 110px;
  border-bottom: none;
  height: 25px;
  color: #7c7c7c;
  font-size: 14px;
}

.left-bar-icon
{
  padding: 7px;
  opacity: 0.8;
}

.form-textarea{
  border: 1px solid rgba(12,12,12,.12) !important;
  height: 25%;
  width: 85%;
  padding-left: 10px;
  margin-left: 15px;
  color: #7c7c7c;
  font-size: 14px;
}

.form-textarea:focus {
  outline-color: #0f1c23;
}

.field-admin {
  color : #fcb026;
  font-weight: bold !important;
  padding-left: 10px;
}

.field-admin-icon {
  width: 102px;
  height: 55px;
  max-height: 66px!important;
}

@media screen and (min-width: 769px)
{
  .carousel-indicators {
    bottom: 30px;
  }

  .carousel-indicators .active {
    background-color: grey;
    border: 1px solid #fff;
  }

  .carousel-indicators li {
    border: 1px solid grey;
  }
}

.slider-label {
  width: 300px;
  margin-top: -15px;
  padding: 0px 7px;
  font-size: 12px;
}

.slider-label .start {
  float: left;
}

.slider-label .end {
  float: right;
}

.my-class {
  text-align: center !important;
  font-size: 60px !important;
  position: absolute !important;
  left: 47% !important;
  top: 300px !important;
  color: #000 !important;
  z-index: 9999999 !important;
  opacity: 0.6 !important;
  -webkit-transform: translateY(-50%) !important;
  -ms-transform: translateY(-50%) !important;
  transform: translateY(-50%) !important;
}

.ng-busy-backdrop {
  opacity: 0.8 !important;
  position: absolute;
  height: 100%;
  width: 100% !important;
  z-index: 999999;
  background: #fff;
}

.table>tbody>tr>td .no-data {
  position:absolute;
  width:100%;
  height:100%;
  margin:150px 0px;
  font-size: 25px;
}

.cursor_pointer {
  cursor: pointer;
}

.filter-label {
  width: 50px;
}

.filter-input {
  width: 148px;
  height: 35px;
  background-color: transparent;
  border: 1px ridge;
}

.dateSelectCustom {
  margin-left: 15px;
  height: 35px;
  width: 38%;
  padding: 12px;
}

.style-gray-lighter {
  background-color: #F5F5F5;
  color : #464F53;
}

.btn-group.open .dropdown-toggle {
  -webkit-box-shadow: none;
  box-shadow: none;
}

.table>thead>tr>th>span .fa-stack i {
  top: 0;
}

.sort {
  color: #BDBDBD;
}

.sort .active {
  color: #0f1c23;
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  margin: 0;
}

input[type=number]{
  -webkit-appearance: textfield;
  -moz-appearance: textfield;
  appearance: textfield;
}

.gui-controls li.gui-folder > a .title {
  font-style : inherit;
}
.btn-border-none{
  border: none !important;
}
.table tbody tr:hover > td > .btn-dropdown,
.table tbody tr:hover > td > .btn-dropdown:hover,
.table tbody tr:hover > td > .btn-dropdown:active
{
  color: #313534 !important;
  background-color: #fbfbfb !important;
}
.btn-default-bright:focus,
.btn-default-bright:hover,
.open .dropdown-toggle.btn-default-bright
{
  color: #313534 !important;
  background-color: #fff;
}

.md-select-drop-down {
  border-bottom: none;
}
.form-dropdown-menu{
  left: 24%;
  margin-bottom: -16px;
}
.btn-border-bottom{
  border-left: none !important;
  border-right: none !important;
  border-top: none  !important;
  border-bottom-color: rgba(12,12,12,.12) !important;
}
.btn-dropdown{
  text-align: left;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  /*padding-left: 0px;*/
}
i.filter-dropdown-icon{
  position: absolute;
  top: 8px;
  right: 25px;
}
.form-dropdown-icon{
  left: 87%;
  top: 50%;
  z-index: 0;
}
.btn.disabled, .btn[disabled], fieldset[disabled] .btn
{
  color: #313534 !important;
  background-color: #fff !important;
  opacity: 1 !important;
  pointer-events: all;
  border-color: rgba(12,12,12,.2);
  border-style: dashed;
}
.disable-icon{
  opacity: 0.5;
}
.font-color-dull, .font-color-dull:hover,
.font-color-dull:active, .font-color-dull:focus,
.table tbody tr:hover>td>.btn-dropdown,
.table tbody tr:hover>td>.btn-dropdown:active,
.table tbody tr:hover>td>.btn-dropdown:hover{
  color: #7c7c7c!important;
  background-color: #fff;
  text-transform: capitalize;
}

.drop-down-fix-height-width{
  max-height: 300px;
  overflow: auto;
}

.job-scheduler-time-btn button
{
  border-left: none;
  border-right: none;
  border-top: none;
  border-bottom-color: rgba(12,12,12,.12);
  margin: 0px;
  background-color: #f5f5f5;
}
.job-scheduler-time-btn button:hover, .job-scheduler-time-btn button:active,
.job-scheduler-time-btn button:focus{
  background-color: #f5f5f5 !important;
  border-bottom-color: rgba(12,12,12,.12);
}

div.dueDate {
  width: 100% !important;
  margin-left: 0px !important;
}
button#dueDate{
  border: none;
  width: 100%;
  text-align: left;
  font-family: Roboto,sans-serif,Helvetica,Arial,sans-serif;;
}
button#dueDate i.fa-calendar{
  float: right;
}
button#dueDate i.fa-angle-double-down{
  display: none;
}
.drop-down-fix-height-width{
  max-height: 300px;
  overflow: auto;
}
.mat-form-field{
  width : 33% !important;
}
.mat-form-field-wrapper{
  padding-bottom: 0px !important;
}
.cdk-overlay-container{
  z-index: 2000!important;
}
.mat-autocomplete-panel{
  max-height: 250px;
}
input::-webkit-input-placeholder {
  text-transform: capitalize;
}
input:-ms-input-placeholder {
  text-transform: capitalize;
}
input::-ms-input-placeholder {
  text-transform: capitalize;
}
input::placeholder {
  text-transform: capitalize;
}
#live-tracking-button div
{
  background-color: #fff;
  margin-top: 10px;
  margin-right: 10px;
  border-radius: 2px;
  border-color: #fff;
  -webkit-box-shadow: rgba(0,0,0,.3) 0 1px 4px -1px;
  box-shadow: rgba(0,0,0,.3) 0 1px 4px -1px;
  width: 11em;
  height: 30px;
  font-weight: 500;
  font-size: 11px;
  font-family: Roboto,Arial,sans-serif;
  padding: 4px 8px 8px;
}
#live-tracking-button input#live_tracking_check {
  display: none;
}
#live-tracking-button input#live_tracking_check + label {
  cursor: pointer;
  margin: 3px;
}
#live-tracking-button input#live_tracking_check + label:before {
  border: 1px solid #333;
  content: "\00a0";
  display: inline-block;
  font-size: 16px;
  height: 18px;
  margin: 0 8px 0 0;
  padding: 0;
  vertical-align: top;
  width: 18px;
  color: black;
  background-color: transparent;
  -webkit-transition: border-color 90ms cubic-bezier(0,0,.2,.1);
  -o-transition: border-color 90ms cubic-bezier(0,0,.2,.1);
  transition: border-color 90ms cubic-bezier(0,0,.2,.1);
  border-width: 2px;
  border-style: solid;
  border-radius: 2px;
  border-color: rgba(0,0,0,.54);
}
#live-tracking-button input#live_tracking_check:checked + label:before {
  background: #fcb026;
  color: #fff;
  content: "\2713";
  text-align: center;
  border: none;
}
#live-tracking-button input#live_tracking_check:checked + label:after {
  font-weight: 400;
}
#live-tracking-button input#live_tracking_check + label span{
  vertical-align: middle;
  font-size: 12px;
}
.mat-checkbox-checked.mat-accent
.mat-checkbox-background,
.mat-checkbox-indeterminate.mat-accent
.mat-checkbox-background{
  background-color: #fcb026!important;
}
.exclude_trip_map_button{
  margin-left: 25px;
  margin-top: 5px;
}
.exclude_trip_report_button{
  margin-top: 5px;
  margin-right: 40px;
}
.vehicle-listing-search{
  width:100%!important;
}
.vehicle-listing-search .form-group{
  margin-left: 0!important;
  margin-right: 0!important;;
}
.vehicle-listing-search .mat-form-field-wrapper{
  padding-bottom: 10px !important;
}
.mat-form-field-ripple{
  background-color: #313534!important;
}
.mat-focused .mat-form-field-placeholder{
  color: #313534!important;
}
.customerSearch div.mat-form-field-wrapper div.mat-form-field-underline {
  bottom: 0px !important;
}
.ticket_id{
  width: 115px!important;
}
.font_color_dull{
  color : #7c7c7c;
}
.theme_font_color{
  color : #fcb026;
}
.font-weight-bold{
  font-weight: bold;
}
.text-capitalize {
  text-transform:capitalize
}
.vehicle-map-listing-search{
  width:100%!important;
}
.vehicle-map-listing-search .form-group{
  margin-left: 0!important;
  margin-right: 0!important;;
}
.vehicle-map-listing-search .mat-form-field-wrapper{
  padding-bottom: 5px !important;
}

/*Route Deviation*/
.route-deviation {
  margin: 10px 10px 0 0;
  border-radius: 2px 0 0 2px;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  -moz-box-sizing: border-box;
  outline: none;
  -webkit-box-shadow: 0 2px 6px rgba(0, 0, 0, 0.3);
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.3);
  background-color: #fff;
  font-family: Roboto;
}
#route-deviation-container {
  padding: 12px 0px;
  margin-right: 12px;
}
#route-deviation-input {
  background-color: #fff;
  font-family: Roboto;
  font-size: 15px;
  font-weight: 300;
  margin-left: 12px;
  padding: 0 11px 0 13px;
  -o-text-overflow: ellipsis;
  text-overflow: ellipsis;
  width: 300px;
}
#route-deviation-input:focus {
  border-color: #4d90fe;
}
#route-deviation-container .draw-marker{
  padding: 0px 14px !important;
  margin-left: 5px !important;
  height: 25px !important;
  font-size: 13px !important;
  margin-right: 0px !important;
}
#location-text:focus{
  border-bottom: 2px solid !important;
  border-bottom-color: rgba(0,0,0,1) !important;
}
.mi-btn-default {
  color: #313534;
  background-color: #cacecd;
  border-color: #cacecd;
  font-size: small;
  height: 35px;
  margin-right: 15px;
  padding: 5px 15px 5px 15px;
  font-weight: bold;
}
.mi-btn-default:active {
  color: #313534;
}
.mi-btn-default:hover i{
  color: #313534;
}
.form-group .form-control:focus~label{
  color :#0f1c23;
}
.form-group .form-control~.form-control-line:after, .form-group .form-control~label:after{
  background-color: black;
}
.sub-header{
  margin-left: 180px;
  z-index: 1!important;
}
.mat-radio-button.mat-accent.mat-radio-checked .mat-radio-outer-circle{
  border-color: #fcb026!important;
}
.mat-radio-button.mat-accent .mat-radio-inner-circle{
  background-color: #fcb026!important;
}
.mat-radio-button.mat-accent .mat-radio-ripple .mat-ripple-element{
  background-color: rgba(244,67,54,.5)!important;
}
.form-control-feedback{
  z-index: 0;
}
.font-size-30{
  font-size: 30px;
}
.font-16{
  font-size: 16px !important;
}
.font-20{
  font-size: 20px !important;
}
.font-14{
  font-size: 14px !important;
}
.width-10 {
  width: 10% !important;
}
.width-60{
  width: 60% !important;
}
.width-70{
  width: 70% !important;
}
.width-100{
  width:100%;
}
.width-80{
  width:80%;
}
.width-14{
  width:14% !important;
}
.width-20{
  width: 20%!important;
}
.width-38{
  width: 38%!important;
}
.width-40{
  width: 40%!important;
}
.width-50{
  width: 50% !important;
}
.width-15{
  width: 15% !important;
}
.width-23{
  width: 23% !important;
}
.width-90{
  width: 90%;
}
.width-30{
  width: 30% !important;
}
.side-margin-15
{
  margin:0 15px 0 15px;
}
.margin-0 {
  margin: 0px;
}
.margin-top-65{
  margin-top: 65px!important;
}
.margin-top-120{
  margin-top: 120px!important;
}
.margin-left-0{
  margin-left: 0px!important;
}
.padding-10{
  padding-left: 10px;
}
.padding-all-10 {
  padding: 10px;
}
.padding-y-10 {
  padding-top: 10px;
  padding-bottom: 10px;
}
.padding-x-10 {
  padding-left: 10px;
  padding-right: 10px;
}
.padding-all-5 {
  padding: 5px;
}
.padding-y-5 {
  padding-top: 5px;
  padding-bottom: 5px;
}
.padding-x-5 {
  padding-left: 5px;
  padding-right: 5px;
}
.padding-left-20 {
  padding-left: 20px;
}
.padding-0 {
  padding: 0px;
}
.padding-left-25 {
  padding-left: 25px;
}
.padding-y-15 {
  padding-top:15px;
  padding-bottom:15px
}
.padding-left-0{
  padding-left: 0px;
}
.padding-x-20 {
  padding-left: 20px;
  padding-right: 20px;
}
.padding-bottom-20 {
  padding-bottom: 20px;
}
.width-50{
  width: 50% !important;
}
.width-15{
  width: 15% !important;
}
.width-23{
  width: 23% !important;
}
.width-67{
  width: 67%!important;
}
.width-35 {
  width: 35% !important;
}
.width-25 {
  width: 25% !important;
}
.sub-header{
  margin-left: 180px;
  z-index: 1!important;
}
.margin-top-65{
  margin-top: 65px!important;
}
.margin-top-120{
  margin-top: 120px!important;
}
.padding-left-0{
  padding-left: 0px;
}
.margin-left-0{
  margin-left: 0px!important;
}
.padding-left-20 {
  padding-left: 20px;
}
.padding-bottom-0 {
  padding-bottom: 0px!important;
}
.padding-left-5{
  padding-left: 5px !important;
}
.padding-top-5{
  padding-top: 5px!important;
}
.hint{
  color: grey !important;
}
.margin-top-11{
  margin-top: 11px !important;
}
.margin-top-24 {
  margin-top: 24px !important;
}
.width-65 {
  width: 65%!important;
}
.margin-bottom-24 {
  margin-bottom: 24px !important;
}
.alinger{
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  min-height: 20em;
}
/*
  IE below 10 CSS styles go here
*/
@media screen\0 {
  .alinger{
    height: 100%;
  }
}
/*
   IE10+ CSS styles go here
*/
@media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
  .alinger{
    height: 100%;
  }
}

.aligner-item-center {
  max-width: 50%;
}
.aligner-item-top {
  align-self: flex-start;
}
.aligner-item-bottom {
  align-self: flex-end;
}
.text-primary-jcb {
  color: #fcb026!important;
  font-weight: bold !important;
}
.mat-slide-toggle.mat-checked:not(.mat-disabled)
.mat-slide-toggle-thumb {
  background-color: #fcb026!important;
}
.mat-slide-toggle.mat-checked:not(.mat-disabled)
.mat-slide-toggle-bar {
  background-color: rgba(252, 176, 38, .5) !important;
}
.gui-controls > li ul > li > a.active{
  background-color: rgba(252, 176, 38, .2);
}

.daterangepicker td.active,
.daterangepicker td.active:hover {
  background-color : #fcb026 !important;
}

.daterangepicker td.in-range {
  background: rgba(252, 176, 38, .1) none repeat scroll 0 0  !important;
}
.ranges li {
  background:  #fff  !important;
  color : #fcb026 !important;
}
.ranges li:hover {
  background:  #fcb026  !important;
  color : #fff!important;
}
#icon-brand
{
  position:relative;
  bottom:30px;
  z-index:400;
  left:5px;
  right:80px
}
